//+------------------------------------------------------------------+
//|                                                   LINE_ALERT.mq4 |
//+------------------------------------------------------------------+
extern bool displayAlert=true;
#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//----
    if (displayAlert==false) return;
    static datetime Time0;
    if (Time0 == Time[0]) return;   // One alert per bar.
    double H = High[0], L = Low[0];
    for(int iObj = ObjectsTotal() - 1; iObj >= 0; iObj--)
    {
      string name = ObjectName(iObj);
      if (ObjectType(name) == OBJ_HLINE)
      {
         double line = ObjectGet(name, OBJPROP_PRICE1);
      }
      else if (ObjectType(name) == OBJ_TREND)
      {
         if (ObjectGet(name, OBJPROP_TIME1) >= Time[0])
         line = ObjectGet(name, OBJPROP_PRICE1);
         else if (ObjectGet(name, OBJPROP_TIME2) >= Time[0])
         line = ObjectGet(name, OBJPROP_PRICE2);
         else    continue;   // Line stops before current candle
      }
      else    continue;   // Not HLINE or TREND
      if (H >= line && line >= L)
      {
         Alert("Price has touched ", name);
         Time0 = Time[0];        // No more alerts.
      }
    }
//----
   return(0);
  }
//+------------------------------------------------------------------+